package main

import (
	"fmt"
	"gee"
	"net/http"
)

func main() {
	r := gee.New()
	r.GET("/", func(w http.ResponseWriter, r *http.Request) {
		_, _ = w.Write([]byte("Hello World"))
	})
	r.GET("/hello", func(w http.ResponseWriter, r *http.Request) {
		for k, v := range r.Header {
			_, _ = fmt.Fprintf(w, "Header[%q] = %q", k, v)
		}
	})
	r.POST("/login", func(w http.ResponseWriter, r *http.Request) {
		_, _ = fmt.Fprintf(w, "POST login")
	})
	err := r.Run(":9000")
	if err != nil {
		return
	}
}
